Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1412944 - [RFE] Vulnerability Scanning tooling for containers running within OpenShift
Summary: [RFE] Vulnerability Scanning tooling for containers running within OpenShift
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 3.8.0
Assignee: Alexey Gladkov
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 07:59 UTC by Vladislav Walek
Modified: 2020-08-13 08:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-17 16:07:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Mark Chappell 2017-01-13 08:05:10 UTC
Description of problem:

We're offering a general purpose OpenShift instance for internal customers.

One of the problems with running such a service is that our users will almost certainly 'fire and forget', potentially leaving services open with known vulnerabilities.

It would be very useful to have some tooling built into the platform that allows us to scan running images for known security vulnerabilities, for example RPMs with known vulnerabilities.


Note You need to log in before you can comment on or make changes to this bug.